VkPipelineMultisampleStateCreateInfo Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineMultisampleStateCreateFlags | flags
VkSampleCountFlagBits | rasterizationSamples
VkBool32 | sampleShadingEnable
float | minSampleShading
const VkSampleMask * | pSampleMask
VkBool32 | alphaToCoverageEnable
VkBool32 | alphaToOneEnable

## Detailed Description

Definition at line 2395 of file vulkan_core.h.

## Field Documentation

## alphaToCoverageEnable

VkBool32 VkPipelineMultisampleStateCreateInfo::alphaToCoverageEnable

Definition at line 2403 of file vulkan_core.h.

## alphaToOneEnable

VkBool32 VkPipelineMultisampleStateCreateInfo::alphaToOneEnable

Definition at line 2404 of file vulkan_core.h.

## flags

VkPipelineMultisampleStateCreateFlags VkPipelineMultisampleStateCreateInfo::flags

Definition at line 2398 of file vulkan_core.h.

## minSampleShading

float VkPipelineMultisampleStateCreateInfo::minSampleShading

Definition at line 2401 of file vulkan_core.h.

## pNext

const void* VkPipelineMultisampleStateCreateInfo::pNext

Definition at line 2397 of file vulkan_core.h.

## pSampleMask

const VkSampleMask* VkPipelineMultisampleStateCreateInfo::pSampleMask

Definition at line 2402 of file vulkan_core.h.

## rasterizationSamples

VkSampleCountFlagBits VkPipelineMultisampleStateCreateInfo::rasterizationSamples

Definition at line 2399 of file vulkan_core.h.

## sampleShadingEnable

VkBool32 VkPipelineMultisampleStateCreateInfo::sampleShadingEnable

Definition at line 2400 of file vulkan_core.h.

## sType

VkStructureType VkPipelineMultisampleStateCreateInfo::sType

Definition at line 2396 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h